import uuid

from django.db import models
from django.utils import timezone

from devices.models.device import Device


class ArmaSensor(Device):  # todo need to know all fields
    uuid = models.UUIDField(default=uuid.uuid4, unique=True)
    synchronization = models.BooleanField(default=False)
    authorization_key = models.CharField(max_length=255, blank=True)

    span_interface = models.CharField(max_length=255, blank=True)
    control_interface = models.JSONField(default=dict)
    signature_analysis = models.BooleanField(default=False)
    protocols_analysis = models.BooleanField(default=False)

    def __str__(self):
        return str(self.uuid)
